Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1196639 - Network error 500 ISE on selecting hostgroup from New host form
Summary: Network error 500 ISE on selecting hostgroup from New host form
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Group
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 12:41 UTC by Sachin Ghai
Modified: 2016-05-30 09:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-30 09:38:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
firebug raises network error 500 ISE (59.61 KB, image/png)
2015-02-26 12:41 UTC, Sachin Ghai
no flags Details
I don't see 500 ISE error in developer tools (59.79 KB, image/png)
2016-05-30 09:39 UTC, Sachin Ghai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1321960 0 unspecified CLOSED "Deface:" error in production.log 2021-02-22 00:41:40 UTC

Internal Links: 1321960

Description Sachin Ghai 2015-02-26 12:41:00 UTC
Created attachment 995558 [details]
firebug raises network error 500 ISE

Description of problem:
UI raises 500 ISE in firebug on selecting host group from new host form.

production.log:

Processing by HostsController#process_hostgroup as */*
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"s4LVwIN5a8iAOOmYlEDFI9ezLaGvLTdihpUIVIdlVUs=", "host"=>{"name"=>"", "hostgroup_id"=>"", "lifecycle_environment_id"=>"", "content_view_id"=>"", "environment_id"=>"", "content_source_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "domain_id"=>"", "realm_id"=>"", "mac"=>"52:54:00:ce:49:ca", "ip"=>"192.168.100.19", "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "architecture_id"=>"", "build"=>"1", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users", "enabled"=>"1", "model_id"=>"2", "comment"=>"", "overwrite"=>"false", "id"=>"5"}, "fakepassword"=>"[FILTERED]"}
Completed 404 Not Found in 17ms (ActiveRecord: 2.4ms)
Processing by HostsController#process_hostgroup as */*
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"s4LVwIN5a8iAOOmYlEDFI9ezLaGvLTdihpUIVIdlVUs=", "host"=>{"name"=>"", "hostgroup_id"=>"1", "lifecycle_environment_id"=>"", "content_view_id"=>"", "environment_id"=>"", "content_source_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "domain_id"=>"", "realm_id"=>"", "mac"=>"52:54:00:ce:49:ca", "ip"=>"192.168.100.19", "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "architecture_id"=>"", "build"=>"1", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users", "enabled"=>"1", "model_id"=>"2", "comment"=>"", "overwrite"=>"false", "id"=>"5"}, "fakepassword"=>"[FILTERED]"}
  Rendered hosts/_progress.html.erb (0.2ms)
Deface: 1 overrides found for 'hosts/_form'
Deface: 'hosts_update_environments_select' matched 1 times with 'code[erb-loud]:contains("select_f"):contains(":environment_id")'
  Rendered hosts/_form.html.erb (189.8ms)
Operation FAILED: No route matches {:action=>"show", :controller=>"hosts", :format=>nil, :id=>#<Host::Managed id: 5, name: "", ip: "192.168.100.19", last_compile: nil, last_freshcheck: nil, last_report: "2015-02-26 06:59:02", updated_at: "2015-02-26 06:59:03", source_file_id: nil, created_at: "2015-02-26 06:59:02", mac: "52:54:00:ce:49:ca", root_pass: "", serial: nil, puppet_status: 0, domain_id: 1, architecture_id: 1, operatingsystem_id: 1, environment_id: 2, subnet_id: 1, ptable_id: 7, medium_id: 7, build: true, comment: "", disk: "", installed_at: nil, model_id: 2, hostgroup_id: 1, owner_id: 3, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image: nil, image_file: nil, uuid: nil, compute_resource_id: nil, puppet_proxy_id: 1, certname: nil, image_id: nil, organization_id: 1, location_id: 2, type: "Host::Managed", otp: nil, realm_id: nil, compute_profile_id: nil, provision_method: nil, content_source_id: 1, primary_interface: "eth0", grub_pass: "", discovery_rule_id: nil, content_view_id: 2, lifecycle_environment_id: 1>}
  Rendered common/500.html.erb (6.6ms)
Completed 500 Internal Server Error in 256ms (Views: 7.5ms | ActiveRecord: 0.0ms)



Version-Release number of selected component (if applicable):
snap4
Satellite-6.1.0-RHEL-6-20150224.0

How reproducible:
always

Steps to Reproduce:
1. discovered a host
2. click on provision
3. new edit host form open-up, select hostgroup from dropdown

Actual results:


Expected results:
No error should be raised by Firebug

Additional info:

Comment 2 Lukas Zapletal 2016-05-13 14:38:41 UTC
Sachin, just to confirm, this is just an extra request. I am not able to repro with 6.2 BETA:


==> /var/log/messages <==
May 13 10:37:28 dell-pem710-01 pulp: celery.beat:INFO: Scheduler: Sending due task download_deferred_content (pulp.server.controllers.repository.queue_download_deferred)
May 13 10:37:28 dell-pem710-01 pulp: celery.worker.strategy:INFO: Received task: pulp.server.controllers.repository.queue_download_deferred[c18ab5be-e8a4-47c4-9930-28a216f0dd62]
May 13 10:37:28 dell-pem710-01 pulp: celery.worker.strategy:INFO: Received task: pulp.server.controllers.repository.download_deferred[3487a8dd-a9fd-4b6b-97ea-ed95f64d11ce]
May 13 10:37:28 dell-pem710-01 pulp: celery.worker.job:INFO: Task pulp.server.controllers.repository.queue_download_deferred[c18ab5be-e8a4-47c4-9930-28a216f0dd62] succeeded in 0.0409828670017s: None
May 13 10:37:28 dell-pem710-01 pulp: celery.worker.job:INFO: Task pulp.server.controllers.repository.download_deferred[3487a8dd-a9fd-4b6b-97ea-ed95f64d11ce] succeeded in 0.0399581110032s: None

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.40.204.117 - - [13/May/2016:10:37:30 -0400] "GET /assets/select2-spinner-f6ecff617ec2ba7f559e6f535cad9b70a3f91120737535dab4d4548a6c83576c.gif HTTP/1.1" 200 1849 "https://dell-pem710-01.rhts.eng.bos.redhat.com/assets/application-85337794efae8d266d6f939e57f6bd39cfef82646f20cd7f75847f45310ab82f.css" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.94 Safari/537.36"

==> /var/log/httpd/foreman-ssl_error_ssl.log <==
[Fri May 13 10:37:30.190122 2016] [ssl:warn] [pid 23019] [client 10.40.204.117:44374] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN', referer: https://dell-pem710-01.rhts.eng.bos.redhat.com/assets/application-85337794efae8d266d6f939e57f6bd39cfef82646f20cd7f75847f45310ab82f.css
[Fri May 13 10:37:31.094534 2016] [ssl:warn] [pid 23019] [client 10.40.204.117:44374] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN', referer: https://dell-pem710-01.rhts.eng.bos.redhat.com/discovered_hosts/mac5254009a17e0/edit

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.40.204.117 - - [13/May/2016:10:37:31 -0400] "POST /hosts/process_hostgroup HTTP/1.1" 200 8432 "https://dell-pem710-01.rhts.eng.bos.redhat.com/discovered_hosts/mac5254009a17e0/edit" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.94 Safari/537.36"

==> /var/log/foreman/production.log <==
2016-05-13 10:37:31 [app] [I] Started POST "/hosts/process_hostgroup" for 10.40.204.117 at 2016-05-13 10:37:31 -0400
2016-05-13 10:37:31 [app] [I] Processing by HostsController#process_hostgroup as */*
2016-05-13 10:37:31 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"TW3CSH3D8iA9j8bI8GlLwWW8+/T1Qn8bCwHYhiLTPEY=", "host"=>{"name"=>"mac5254009a17e0", "hostgroup_id"=>"1", "content_facet_attributes"=>{"lifecycle_environment_id"=>"", "content_view_id"=>"", "id"=>""}, "environment_id"=>"", "content_source_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "mac"=>"52:54:00:54:dd:8d", "identifier"=>"fake1", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"192.168.122.37", "managed"=>"0", "primary"=>"0", "provision"=>"0", "execution"=>"0", "tag"=>"", "attached_to"=>"", "id"=>"16"}, "1"=>{"_destroy"=>"0", "mac"=>"52:54:00:9a:17:e0", "identifier"=>"fake2", "name"=>"mac5254009a17e0", "domain_id"=>"", "subnet_id"=>"", "ip"=>"192.168.122.22", "managed"=>"1", "primary"=>"1", "provision"=>"1", "execution"=>"1", "tag"=>"", "attached_to"=>"", "id"=>"15"}, "2"=>{"_destroy"=>"0", "mac"=>"52:54:00:ad:33:e5", "identifier"=>"fake3", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"10.117.171.61", "managed"=>"0", "primary"=>"0", "provision"=>"0", "execution"=>"0", "tag"=>"", "attached_to"=>"", "id"=>"17"}, "3"=>{"_destroy"=>"0", "mac"=>"52:54:00:ee:56:72", "identifier"=>"ipmi", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"10.134.233.86", "managed"=>"0", "primary"=>"0", "provision"=>"0", "execution"=>"0", "username"=>"", "provider"=>"IPMI", "id"=>"18"}, "new_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "execution"=>"0", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "architecture_id"=>"", "build"=>"1", "disk"=>"", "is_owned_by"=>"3-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false", "id"=>"8"}, "fakepassword"=>"[FILTERED]", "bare_metal_capabilities"=>"build"}
2016-05-13 10:37:31 [app] [D] Setting current user thread-local variable to admin
2016-05-13 10:37:31 [app] [D] Setting current organization thread-local variable to MyOrg
2016-05-13 10:37:31 [app] [D] Setting current location thread-local variable to none
2016-05-13 10:37:31 [app] [I]   Rendered hosts/_progress.html.erb (0.5ms)
2016-05-13 10:37:31 [app] [D] Setting current organization thread-local variable to MyOrg
2016-05-13 10:37:31 [app] [D] Setting current location thread-local variable to none
2016-05-13 10:37:32 [app] [I]   Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)
2016-05-13 10:37:32 [app] [I]   Rendered puppetclasses/_classes_in_groups.html.erb (0.0ms)
2016-05-13 10:37:32 [app] [I]   Rendered puppetclasses/_classes.html.erb (0.8ms)
2016-05-13 10:37:32 [app] [I]   Rendered puppetclasses/_class_selection.html.erb (50.9ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_base_form.html.erb (21.8ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_virtual_form.html.erb (1.8ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.2ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/manageds/_managed.html.erb (26.0ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_base_form.html.erb (18.4ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_virtual_form.html.erb (1.7ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.2ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/manageds/_managed.html.erb (22.2ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_base_form.html.erb (18.8ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_virtual_form.html.erb (1.7ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.2ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/manageds/_managed.html.erb (22.8ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_base_form.html.erb (19.4ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.2ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/bmcs/_bmc.html.erb (26.0ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_base_form.html.erb (20.8ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_virtual_form.html.erb (2.2ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.2ms)
2016-05-13 10:37:32 [app] [I]   Rendered nic/manageds/_managed.html.erb (25.6ms)
2016-05-13 10:37:32 [app] [I]   Rendered hosts/_interfaces.html.erb (129.6ms)
2016-05-13 10:37:32 [app] [I]   Rendered common/os_selection/_architecture.html.erb (5.6ms)
2016-05-13 10:37:32 [app] [I]   Rendered common/os_selection/_operatingsystem.html.erb (53.3ms)
2016-05-13 10:37:32 [app] [I]   Rendered hosts/provision_method/build/_form.html.erb (55.2ms)
2016-05-13 10:37:32 [app] [I]   Rendered hosts/provision_method/image/_form.html.erb (0.3ms)
2016-05-13 10:37:32 [app] [I]   Rendered hosts/_operating_system.html.erb (67.0ms)
2016-05-13 10:37:32 [app] [I]   Rendered hosts/_unattended.html.erb (67.4ms)
2016-05-13 10:37:32 [app] [I]   Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
2016-05-13 10:37:32 [app] [I]   Rendered puppetclasses/_classes_parameters.html.erb (12.0ms)
2016-05-13 10:37:32 [app] [I]   Rendered common_parameters/_inherited_parameters.html.erb (0.5ms)
2016-05-13 10:37:32 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.5ms)
2016-05-13 10:37:32 [app] [I]   Rendered common_parameters/_parameters.html.erb (5.8ms)
2016-05-13 10:37:32 [app] [D] Setting current location thread-local variable to none
2016-05-13 10:37:32 [app] [D] Setting current organization thread-local variable to MyOrg
2016-05-13 10:37:32 [app] [I]   Rendered hosts/_form.html.erb (357.9ms)
2016-05-13 10:37:32 [app] [I] Completed 200 OK in 483ms (Views: 328.6ms | ActiveRecord: 53.2ms)
2016-05-13 10:37:36 [app] [D] Unable to load version file.

Comment 3 Sachin Ghai 2016-05-30 09:38:22 UTC
Yeah.. look like reported issue has already been fixed. Verified with sat6.2 GA snap13.1 and I'm not facing this issue now. Please see the screenshot. thanks.

Comment 4 Sachin Ghai 2016-05-30 09:39:07 UTC
Created attachment 1162746 [details]
I don't see 500 ISE error in developer tools


Note You need to log in before you can comment on or make changes to this bug.